Permalink
Switch branches/tags
hledger-web-1.11.1 hledger-web-1.11 hledger-web-1.10 hledger-web-1.9.2 hledger-web-1.9.1 hledger-web-1.9 hledger-web-1.5.1 hledger-web-1.5 hledger-web-1.4 hledger-web-1.3.2 hledger-web-1.3.1 hledger-web-1.3 hledger-web-1.2 hledger-web-1.1 hledger-web-1.0.1 hledger-web-1.0 hledger-web-0.27 hledger-web-0.26 hledger-web-0.25.1 hledger-web-0.25 hledger-web-0.24.1 hledger-web-0.24 hledger-web-0.23.3 hledger-web-0.23.2 hledger-web-0.23.1 hledger-web-0.23 hledger-web-0.21.3 hledger-web-0_19 hledger-web-0_17_1 hledger-web-0_16_5 hledger-web-0_16_4 hledger-web-0_16_3 hledger-web-0_16_2 hledger-web-0_15_3 hledger-web-0_15_1 hledger{,-vty,-chart}-0_15_1,_hledger-web-0_15_2 hledger-ui-1.11.1 hledger-ui-1.11 hledger-ui-1.10.1 hledger-ui-1.10 hledger-ui-1.9.1 hledger-ui-1.9 hledger-ui-1.5 hledger-ui-1.4 hledger-ui-1.3.1 hledger-ui-1.3 hledger-ui-1.2 hledger-ui-1.1.2 hledger-ui-1.1.1 hledger-ui-1.1 hledger-ui-1.0.5 hledger-ui-1.0.4 hledger-ui-1.0.3 hledger-ui-1.0.2 hledger-ui-1.0.1 hledger-ui-1.0 hledger-ui-0.27.5 hledger-ui-0.27.4 hledger-ui-0.27.3 hledger-ui-0.27.2 hledger-ui-0.27.1 hledger-ui-0.27 hledger-lib-1.11.1 hledger-lib-1.11 hledger-lib-1.10 hledger-lib-1.9.1 hledger-lib-1.9 hledger-lib-1.5.1 hledger-lib-1.5 hledger-lib-1.4 hledger-lib-1.3.2 hledger-lib-1.3.1 hledger-lib-1.3 hledger-lib-1.2 hledger-lib-1.1 hledger-lib-1.0.1 hledger-lib-1.0 hledger-lib-0.27.1 hledger-lib-0.27 hledger-lib-0.26 hledger-lib-0.25.1 hledger-lib-0.25 hledger-lib-0.24.1 hledger-lib-0.24 hledger-lib-0.23.3 hledger-lib-0.23.2 hledger-lib-0.23.1 hledger-lib-0.23 hledger-irr-0.1.1.4 hledger-irr-0.1.1.3 hledger-irr-0.1.1.2 hledger-irr-0.1.1.1 hledger-irr-0.1.1 hledger-api-1.11.1 hledger-api-1.11 hledger-api-1.10 hledger-api-1.9.1 hledger-api-1.9 hledger-api-1.5 hledger-api-1.4
Nothing to show
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
98 lines (92 sloc) 2.28 KB
# stack build plan using GHC 7.10.3
# This is unlikely to work on OSX Sierra+ due to https://ghc.haskell.org/trac/ghc/ticket/12479
resolver: lts-6.35
packages:
- hledger-lib
- hledger
# 20181024: hledger-ui plan has stopped working due to some change related to config-ini
# (we need megaparsec 7, only config-ini's 0.2.3.0 version allows that, but it requires a newer base/GHC).
#- hledger-ui
- hledger-web
#- hledger-api
extra-deps:
- easytest-0.2.1
# avoid no hashable instance for AccountName from doctests
- hashtables-1.2.3.1
# Many newer versions to allow using the latest base-compat with all ghc versions.
# This is just the first workable install plan I found.
- adjunctions-4.4
- aeson-1.3.1.1
- aeson-compat-0.3.7.1
- attoparsec-0.13.2.2
- attoparsec-iso8601-1.0.0.0
- base-compat-0.10.1
- base-compat-batteries-0.10.1
- base-orphans-0.7
- bifunctors-5.5.2
- brick-0.37.1
- cassava-megaparsec-2.0.0
- config-ini-0.2.3.0
- criterion-1.4.1.0
- data-clist-0.1.2.1
- directory-1.2.7.0
- doctest-0.16.0
- exceptions-0.10.0
- free-5.0.2
- generics-sop-0.3.2.0
- Glob-0.9.2
- hashable-1.2.7.0
- http-media-0.7.1.2
- http-types-0.12.1
- insert-ordered-containers-0.2.1.0
- integer-logarithms-1.0.2.1
- kan-extensions-5.1
- lens-4.16.1
- megaparsec-7.0.1
- microstache-1.0.1.1
- mmorph-1.1.2
- monad-control-1.0.2.3
- network-2.6.3.5
- optparse-applicative-0.14.2.0
- parser-combinators-1.0.0
- persistent-2.7.0
- persistent-template-2.5.4
- profunctors-5.2.2
- resourcet-1.1.11
- scientific-0.3.6.2
- semigroupoids-5.2.2
- semigroups-0.18.4
- singleton-bool-0.1.4
- statistics-0.14.0.2
- tagged-0.8.5
- text-1.2.3.0
- text-zipper-0.10.1
- th-abstraction-0.2.6.0
- transformers-compat-0.6.1.4
- unliftio-core-0.1.1.0
- unordered-containers-0.2.9.0
- vty-5.21
- word-wrap-0.4.1
- yesod-persistent-1.4.2
# - servant-0.13.0.1
# - servant-server-0.13.0.1
# - servant-swagger-1.1.5
# - swagger2-2.2.2
# # - attoparsec-iso8601-1.0.0.0
# # - base-compat-0.9.3
# - brick-0.24.2
# - cpphs-1.20.8
# - data-clist-0.1.2.0
# - http-api-data-0.3.7.1
# - natural-transformation-0.4
# # - persistent-template-2.5.2
# # - servant-0.11
# # - servant-server-0.11
# - text-zipper-0.10
# - th-orphans-0.13.4
# - vty-5.17.1
# - word-wrap-0.4.1
# hledger-ui
# newer fsnotify has a different api and may be more robust
- fsnotify-0.3.0.1
- shelly-1.7.2